Last Comment Bug 548228 - Port Bug 528776 [getBrowserState considers closed windows as open] to SeaMonkey
: Port Bug 528776 [getBrowserState considers closed windows as open] to SeaMonkey
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: Session Restore (show other bugs)
: Trunk
: All All
: -- normal (vote)
: seamonkey2.1a1
Assigned To: Misak Khachatryan
:
:
Mentors:
Depends on: 528776
Blocks: 593681
  Show dependency treegraph
 
Reported: 2010-02-24 01:55 PST by Misak Khachatryan
Modified: 2012-03-29 02:18 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch plus test v1 (3.76 KB, patch)
2010-02-24 02:01 PST, Misak Khachatryan
neil: review+
neil: superreview+
Details | Diff | Splinter Review
for checkin (3.76 KB, patch)
2010-02-24 04:03 PST, Misak Khachatryan
misak.bugzilla: review+
misak.bugzilla: superreview+
Details | Diff | Splinter Review
for checkin, syntax error corrected (3.76 KB, patch)
2010-02-24 05:05 PST, Misak Khachatryan
misak.bugzilla: review+
misak.bugzilla: superreview+
Details | Diff | Splinter Review
same as above, renamed test files as agreed (3.82 KB, patch)
2010-03-12 00:51 PST, Misak Khachatryan
misak.bugzilla: review+
misak.bugzilla: superreview+
Details | Diff | Splinter Review

Description Misak Khachatryan 2010-02-24 01:55:02 PST
From parent bug, this also can be the reason that some of tests failing:

Two things happened before this started:

http://hg.mozilla.org/mozilla-central/rev/4f62c9d94957
browser_477657.js, seems to open only one window?

http://hg.mozilla.org/mozilla-central/rev/01adc20ea792
browser_526613.js, backed out already

http://hg.mozilla.org/mozilla-central/rev/fa212b6a9d72
browser_394759.js
Comment 1 Misak Khachatryan 2010-02-24 02:01:38 PST
Created attachment 428673 [details] [diff] [review]
patch plus test v1
Comment 2 neil@parkwaycc.co.uk 2010-02-24 02:28:00 PST
Comment on attachment 428673 [details] [diff] [review]
patch plus test v1

>diff --git a/suite/common/tests/browser/Makefile.in b/suite/common/tests/browser/Makefile.in
>--- a/suite/common/tests/browser/Makefile.in
>+++ b/suite/common/tests/browser/Makefile.in
>@@ -55,6 +55,7 @@ _BROWSER_FILES = \
> 	browser_bug524371.js \
> 	browser_bug524371_sample.html \
> 	browser_bug548211.js \
>+        browser_bug548228.js \
> 	$(NULL)
Nit: spaces where the other lines have a tab.
Comment 3 Misak Khachatryan 2010-02-24 04:03:17 PST
Created attachment 428688 [details] [diff] [review]
for checkin

Nit fixed, carrying forward r+ and sr+ from Neil
Comment 4 Serge Gautherie (:sgautherie) 2010-02-24 04:43:22 PST
Comment on attachment 428688 [details] [diff] [review]
for checkin

>+  _handleClosedWidnows: function sss_handleClosedWidnows() {

Not "handleClosedWi_nd_ows"? (everywhere)
Comment 5 Misak Khachatryan 2010-02-24 05:05:36 PST
Created attachment 428697 [details] [diff] [review]
for checkin, syntax error corrected

Sorry, fixed, carrying forward r+ and sr+ from Neil
Comment 6 Serge Gautherie (:sgautherie) 2010-03-04 05:14:38 PST
See bug 542946 comment 5 wrt the test name...
Comment 7 Misak Khachatryan 2010-03-12 00:51:55 PST
Created attachment 432100 [details] [diff] [review]
same as above, renamed test files as agreed

same as above, renamed test files as agreed, carrying forward r+ sr+ from Neil, got approval for renaming on meeting over IRC.
Comment 8 Robert Kaiser 2010-03-12 08:10:58 PST
Pushed as http://hg.mozilla.org/comm-central/rev/466f577ff66d - thanks for your work!

Note You need to log in before you can comment on or make changes to this bug.